

import { createApp } from 'vue'
import App from './App.vue'
//引入pinia
import { createPinia } from 'pinia'
// 引入路由器
import router from './router/index'
//创建一个pinia实例
const pinia = createPinia()
// 创建一个应用
const app = createApp(App)
//使用路由
app.use(router)
//使用pinia
app.use(pinia)
// 挂载整个应用到app容器中
app.mount('#app')