import { defineStore } from "pinia";

export const useCountStore = defineStore('count',{
    actions:{
        // 函数名，参数
        add(){
        }
    },  

    //真正求和的地方
    state(){
        return{
            sum:6
        }
    }
})

// 别处引入方法，现在组件内ts引入
// import { useCountStore } from "@/stores/count";
// const countStore = useCountStore();
// countStore.sum;
// countStore.$state.sum;
// 
// 三种修改方式
// 1.直接引用修改
// 2.批量修改,可以多元素修改
// countStore.$patch({sum:8})
// 一个是一个一个修改，一个是一次性修改发生变化，
// 3.函数修改,需要在此定义动作函数
// countStore.定义的函数名(传参)
// actions中调用state中的属性需要加上 this.  例如 this.sum
// 
