// 创建一个路由器，暴露出去
// 导入路由组件
import { createRouter, createWebHashHistory,createWebHistory } from 'vue-router'
//引入每个可能要呈现的组件
import Home from '@/components/Home.vue'
import About from '@/components/About.vue'
import News from '@/components/News.vue'

// 创建路由

const router = createRouter({
    // 路由模式
    history:createWebHistory(),
    routes:[
        // 路由配置规则
        {
            path:'/home',
            component:Home
        },
        {
            path:'/about',
            component:About
        },
        {
            path:'/news',
            component:News
        }
    ]
})

// 暴露出去
export default router
